com.genesyslab.wfm8.API.service.builder810

## Class SiteRescheduleParams

- java.lang.Object
- - com.genesyslab.wfm8.API.service.builder810.SiteRescheduleParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SiteRescheduleParams
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `agentIDArray` The list of agent IDs for which schedule should be reoptimized.
    `protected int` | `agentIDArraySize`
    `protected boolean` | `grantAllPreferences` True if 100% of preferences should be granted by calendar.
    `private static long` | `serialVersionUID`
    `protected int` | `siteID` ID of the site.
    `protected java.util.List<java.lang.Integer>` | `teamIDArray` The list of agent team IDs for which schedule should be reoptimized.
    `protected int` | `teamIDArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteRescheduleParams()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getAgentIDArray()` Gets the value of the agentIDArray property.
    `int` | `getAgentIDArraySize()` Gets the value of the agentIDArraySize property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `java.util.List<java.lang.Integer>` | `getTeamIDArray()` Gets the value of the teamIDArray property.
    `int` | `getTeamIDArraySize()` Gets the value of the teamIDArraySize property.
    `int` | `hashCode()`
    `boolean` | `isGrantAllPreferences()` Gets the value of the grantAllPreferences property.
    `void` | `setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)` Sets the value of the agentIDArray property.
    `void` | `setAgentIDArraySize(int agentIDArraySize)` Sets the value of the agentIDArraySize property.
    `void` | `setGrantAllPreferences(boolean grantAllPreferences)` Sets the value of the grantAllPreferences property.
    `void` | `setSiteID(int siteID)` Sets the value of the siteID property.
    `void` | `setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)` Sets the value of the teamIDArray property.
    `void` | `setTeamIDArraySize(int teamIDArraySize)` Sets the value of the teamIDArraySize property.
    `java.lang.String` | `toString()`
    `SiteRescheduleParams` | `withAgentIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteRescheduleParams` | `withAgentIDArray(java.lang.Integer... values)`
    `SiteRescheduleParams` | `withAgentIDArraySize(int value)`
    `SiteRescheduleParams` | `withGrantAllPreferences(boolean value)`
    `SiteRescheduleParams` | `withSiteID(int value)`
    `SiteRescheduleParams` | `withTeamIDArray(java.util.Collection<java.lang.Integer> values)`
    `SiteRescheduleParams` | `withTeamIDArray(java.lang.Integer... values)`
    `SiteRescheduleParams` | `withTeamIDArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

      ID of the site.

    - #### agentIDArraySize

          protected int agentIDArraySize

    - #### agentIDArray

          protected java.util.List<java.lang.Integer> agentIDArray

      The list of agent IDs for which schedule should be reoptimized.

    - #### teamIDArraySize

          protected int teamIDArraySize

    - #### teamIDArray

          protected java.util.List<java.lang.Integer> teamIDArray

      The list of agent team IDs for which schedule should be reoptimized.

    - #### grantAllPreferences

          protected boolean grantAllPreferences

      True if 100% of preferences should be granted by calendar.

  - ### Constructor Detail

    - #### SiteRescheduleParams

          public SiteRescheduleParams()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int siteID)

      Sets the value of the siteID property.

    - #### withSiteID

          public SiteRescheduleParams withSiteID(int value)

    - #### isGrantAllPreferences

          public boolean isGrantAllPreferences()

      Gets the value of the grantAllPreferences property.

    - #### setGrantAllPreferences

          public void setGrantAllPreferences(boolean grantAllPreferences)

      Sets the value of the grantAllPreferences property.

    - #### withGrantAllPreferences

          public SiteRescheduleParams withGrantAllPreferences(boolean value)

    - #### getAgentIDArraySize

          public int getAgentIDArraySize()

      Gets the value of the agentIDArraySize property.

    - #### setAgentIDArraySize

          public void setAgentIDArraySize(int agentIDArraySize)

      Sets the value of the agentIDArraySize property.

    - #### withAgentIDArraySize

          public SiteRescheduleParams withAgentIDArraySize(int value)

    - #### getAgentIDArray

          public java.util.List<java.lang.Integer> getAgentIDArray()

      Gets the value of the agentIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentIDArray property.

      For example, to add a new item, do as follows:

              getAgentIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setAgentIDArray

          public void setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)

      Sets the value of the agentIDArray property.
      Parameters:
        `agentIDArray` - allowed object is `Integer`

    - #### withAgentIDArray

          public SiteRescheduleParams withAgentIDArray(java.lang.Integer... values)

    - #### withAgentIDArray

          public SiteRescheduleParams withAgentIDArray(java.util.Collection<java.lang.Integer> values)

    - #### getTeamIDArraySize

          public int getTeamIDArraySize()

      Gets the value of the teamIDArraySize property.

    - #### setTeamIDArraySize

          public void setTeamIDArraySize(int teamIDArraySize)

      Sets the value of the teamIDArraySize property.

    - #### withTeamIDArraySize

          public SiteRescheduleParams withTeamIDArraySize(int value)

    - #### getTeamIDArray

          public java.util.List<java.lang.Integer> getTeamIDArray()

      Gets the value of the teamIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamIDArray property.

      For example, to add a new item, do as follows:

              getTeamIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setTeamIDArray

          public void setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)

      Sets the value of the teamIDArray property.
      Parameters:
        `teamIDArray` - allowed object is `Integer`

    - #### withTeamIDArray

          public SiteRescheduleParams withTeamIDArray(java.lang.Integer... values)

    - #### withTeamIDArray

          public SiteRescheduleParams withTeamIDArray(java.util.Collection<java.lang.Integer> values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.